# Uses of Interface
java.sql.DatabaseMetaData

Packages that use DatabaseMetaData
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

## Uses of DatabaseMetaData in java.sql

Methods in java.sql that return DatabaseMetaData
Modifier and Type
Method
Description
`DatabaseMetaData`
Connection.`getMetaData()`
Retrieves a `DatabaseMetaData` object that contains metadata about the database to which this `Connection` object represents a connection.